Remove the attached snapshot repository
- DELETE /deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository/{repository_name}
Removes the attached snapshot repository. This is only possible if the repository is not in use anymore by any searchable snapshots.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
-
repository_namestringrequired -
The name of the snapshot repository to remove (e.g. _clone_abcd1234)
Responses
application/json
Response Type: EmptyResponse
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The snapshot repository specified by {repository_name} cannot be found. (code:
deployments.snapshot_dependency_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.metadata_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response